Mark Done
Mark the site activity as done
Authorizations
AuthenticationstringRequired
Authentication is token based. You can issue a token for your API request from the 'API' section of the settings menu. The token MUST be sent in a Authorization header with each request.
Example of authenticated request
$ curl -X GET -H "Authorization: Token <your token>" "https://api.dashdoc.eu/api/v4/"
Path parameters
uidstringRequired
remote_idstringOptional
If you choose to identify an object with its remote_id instead of its uid then
-
replace the
uidvalue with theremote_idvalue in the URL -
specify
lookup_field=remote_idin the query parameters
Query parameters
lookup_fieldstringOptional
Used to specify what field is used in the URL to identify the object you're requesting, e.g. with the remote_id (see path parameters)
Body
categorystring Β· enumRequiredExample:
loadingPossible values: on_site_datestring Β· date-timeRequired
complete_datestring Β· date-timeRequired
Responses
200
Create successful
application/json
post
/sites/{uid}/mark-done200
Create successful
Last updated
Was this helpful?